PTHREAD_KILL(3)

NAME
pthread_kill - send a signal to a specified thread

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
#include <signal.h>
int
pthread_kill(pthread_t thread, int sig);

DESCRIPTION
The pthread_kill() function sends a signal, specified by sig, to a thread, specified by thread. If sig is 0, error checking is performed, but no signal is actually sent.

RETURN VALUES
If successful, pthread_kill() returns 0. Otherwise, an error number is returned.

ERRORS
pthread_kill() will fail if:

[ESRCH]
    thread is an invalid thread ID.

[EINVAL]
    sig is an invalid or unsupported signal number.

SEE ALSO
kill(2), pthread_self(3), raise(3)

STANDARDS
pthread_kill() conforms to iso9945-1